Stylistic changes to maps (#108)

This commit is contained in:
Reto Kromer 2017-07-27 19:06:19 +02:00 committed by Alex Epstein
parent fcd658c842
commit 983d8a9059
1 changed files with 71 additions and 87 deletions

View File

@ -9,6 +9,7 @@ staticMapFlag="0"
source ~/.bash_profile 2> /dev/null ## allows grabbing enviornment variable source ~/.bash_profile 2> /dev/null ## allows grabbing enviornment variable
MAPQUEST_API_KEY=$MAPQUEST_API_KEY MAPQUEST_API_KEY=$MAPQUEST_API_KEY
if [ -d ~/temp ]; then rm -rf ~/temp; fi if [ -d ~/temp ]; then rm -rf ~/temp; fi
## This function determines which http get tool the system has installed and returns an error if there isnt one ## This function determines which http get tool the system has installed and returns an error if there isnt one
getConfiguredClient() getConfiguredClient()
{ {
@ -24,7 +25,6 @@ getConfiguredClient()
fi fi
} }
## Allows to call the users configured client without if statements everywhere ## Allows to call the users configured client without if statements everywhere
httpGet() httpGet()
{ {
@ -35,7 +35,6 @@ httpGet()
esac esac
} }
checkInternet() checkInternet()
{ {
httpGet google.com > /dev/null 2>&1 || { echo "Error: no active internet connection" >&2; return 1; } # query google with a get request httpGet google.com > /dev/null 2>&1 || { echo "Error: no active internet connection" >&2; return 1; } # query google with a get request
@ -62,13 +61,13 @@ update()
echo "Version $latestVersion available" echo "Version $latestVersion available"
echo -n "Do you wish to update $repositoryName [Y/n]: " echo -n "Do you wish to update $repositoryName [Y/n]: "
read -r answer read -r answer
if [[ "$answer" == "Y" || "$answer" == "y" ]] ;then if [[ "$answer" == [Yy] ]]; then
cd ~ || { echo 'Update Failed'; exit 1; } cd ~ || { echo 'Update Failed'; exit 1; }
if [[ -d ~/$repositoryName ]]; then rm -r -f $repositoryName || { echo "Permissions Error: try running the update as sudo"; exit 1; }; fi if [[ -d ~/$repositoryName ]]; then rm -r -f $repositoryName || { echo "Permissions Error: try running the update as sudo"; exit 1; }; fi
git clone "https://github.com/$githubUserName/$repositoryName" || { echo "Couldn't download latest version"; exit 1; } git clone "https://github.com/$githubUserName/$repositoryName" || { echo "Couldn't download latest version"; exit 1; }
cd $repositoryName || { echo 'Update Failed'; exit 1; } cd $repositoryName || { echo 'Update Failed'; exit 1; }
git checkout "v$latestVersion" 2> /dev/null || git checkout "$latestVersion" 2> /dev/null || echo "Couldn't git checkout to stable release, updating to latest commit." git checkout "v$latestVersion" 2> /dev/null || git checkout "$latestVersion" 2> /dev/null || echo "Couldn't git checkout to stable release, updating to latest commit."
chmod a+x install.sh #this might be necessary in your case but wasnt in mine. chmod a+x install.sh #this might be necessary in your case but wasn't in mine.
./$nameOfInstallFile "update" || exit 1 ./$nameOfInstallFile "update" || exit 1
cd .. cd ..
rm -r -f $repositoryName || { echo "Permissions Error: update succesfull but cannot delete temp files located at ~/$repositoryName delete this directory with sudo"; exit 1; } rm -r -f $repositoryName || { echo "Permissions Error: update succesfull but cannot delete temp files located at ~/$repositoryName delete this directory with sudo"; exit 1; }
@ -92,8 +91,7 @@ totalDist=${distances[0]}
count="0" count="0"
count="-1" count="-1"
temp=${tempDirections[0]} temp=${tempDirections[0]}
for direct in "${tempDirections[@]}" for direct in "${tempDirections[@]}"; do
do
if [[ $(echo $direct | grep -Eo "narrative") == "narrative" ]]; then if [[ $(echo $direct | grep -Eo "narrative") == "narrative" ]]; then
count=$(echo $count + 1 | bc) count=$(echo $count + 1 | bc)
directions[$count]=$temp directions[$count]=$temp
@ -111,9 +109,9 @@ getDirectionsMap()
echo "Generating route map from $unformattedFromLocation to $unformattedToLocation" echo "Generating route map from $unformattedFromLocation to $unformattedToLocation"
mkdir ~/temp || return 1 mkdir ~/temp || return 1
httpGet "https://www.mapquestapi.com/staticmap/v5/map?start=$1&end=$2&size=600,400@2x&key=$MAPQUEST_API_KEY" >> ~/temp/routeImage.png || return 1 httpGet "https://www.mapquestapi.com/staticmap/v5/map?start=$1&end=$2&size=600,400@2x&key=$MAPQUEST_API_KEY" >> ~/temp/routeImage.png || return 1
if [[ "$OSTYPE" == "linux"* ]];then if [[ $(uname -s) == "Linux" ]]; then
display ~/temp/routeImage.png > /dev/null || return 1 display ~/temp/routeImage.png > /dev/null || return 1
elif [[ "$OSTYPE" == "darwin"* ]]; then elif [[ $(uname -s) == "Darwin" ]]; then
open ~/temp/routeImage.png > /dev/null open ~/temp/routeImage.png > /dev/null
fi fi
rm -rf ~/temp > /dev/null rm -rf ~/temp > /dev/null
@ -125,8 +123,7 @@ printDirections()
echo "From $unformattedFromLocation to $unformattedToLocation ($totalDist mi)" echo "From $unformattedFromLocation to $unformattedToLocation ($totalDist mi)"
echo "===================================================" echo "==================================================="
count=0 count=0
for direct in "${directions[@]}" for direct in "${directions[@]}"; do
do
if [ $count -ne 0 ]; then echo -n "$(echo $count | bc)). "; fi if [ $count -ne 0 ]; then echo -n "$(echo $count | bc)). "; fi
if [[ $direct != "" ]]; then # sometimes original Narrative is blank if [[ $direct != "" ]]; then # sometimes original Narrative is blank
direct="$direct (${distances[$(echo $count + 1 | bc)]} mi)" direct="$direct (${distances[$(echo $count + 1 | bc)]} mi)"
@ -153,7 +150,7 @@ getLocations()
checkImagemagick() checkImagemagick()
{ {
if [[ "$OSTYPE" == "linux"* ]];then if [[ $(uname -s) == "Linux" ]]; then
if ! command -v display &>/dev/null; then if ! command -v display &>/dev/null; then
echo "Error: you need to install imagemagick to use map features." &>2 echo "Error: you need to install imagemagick to use map features." &>2
return 1 return 1
@ -163,7 +160,6 @@ checkImagemagick()
else else
return 0 return 0
fi fi
} }
getMapLocation() getMapLocation()
@ -178,9 +174,9 @@ getStaticMap()
{ {
mkdir ~/temp || return 1 mkdir ~/temp || return 1
httpGet "https://www.mapquestapi.com/staticmap/v5/map?key=$MAPQUEST_API_KEY&center=$1&zoom=15&type=hyb&size=600,400@2x" >> ~/temp/mapImage.png || return 1 httpGet "https://www.mapquestapi.com/staticmap/v5/map?key=$MAPQUEST_API_KEY&center=$1&zoom=15&type=hyb&size=600,400@2x" >> ~/temp/mapImage.png || return 1
if [[ "$OSTYPE" == "linux"* ]];then if [[ $(uname -s) == "Linux" ]]; then
display ~/temp/mapImage.png > /dev/null || return 1 display ~/temp/mapImage.png > /dev/null || return 1
elif [[ "$OSTYPE" == "darwin"* ]]; then elif [[ $(uname -s) == "Darwin" ]]; then
open ~/temp/mapImage.png > /dev/null || return 1 open ~/temp/mapImage.png > /dev/null || return 1
fi fi
rm -rf ~/temp > /dev/null || return 1 rm -rf ~/temp > /dev/null || return 1
@ -215,36 +211,24 @@ checkInternet || exit 1
## getDirectionsMap Denver Boulder || exit 1 ## getDirectionsMap Denver Boulder || exit 1
## getStaticMap Paramus || exit 1 ## getStaticMap Paramus || exit 1
while getopts "drmuvh" opt; do while getopts "drmuvh" opt; do
case $opt in case "$opt" in
\?) \?) echo "Invalid option: -$OPTARG" >&2
echo "Invalid option: -$OPTARG" >&2
exit 1 exit 1
;; ;;
h) h) usage
usage
exit 0 exit 0
;; ;;
d) d) directionsFlag="1" ;;
directionsFlag="1" m) staticMapFlag="1" ;;
;; r) directionsMapFlag="1" ;;
m) v) echo "Version $currentVersion"
staticMapFlag="1"
;;
r)
directionsMapFlag="1"
;;
v)
echo "Version $currentVersion"
exit 0 exit 0
;; ;;
u) u) update
update
exit 0 exit 0
;; ;;
:) :) echo "Option -$OPTARG requires an argument." >&2
echo "Option -$OPTARG requires an argument." >&2
exit 1 exit 1
;; ;;
esac esac